relaxngcc.grammar

## Class ElementPattern

- java.lang.Object
- - relaxngcc.grammar.Pattern
  - - relaxngcc.grammar.MarkupPattern
    - - relaxngcc.grammar.ElementPattern

    public class ElementPattern
    extends MarkupPattern

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

### Field Summary

### Fields inherited from class relaxngcc.grammar.MarkupPattern

`body, endLocator, name, startLocator`

### Constructor Summary

Constructors
Constructor and Description
`ElementPattern(ParserRuntime rt, org.xml.sax.Locator sloc, NameClass name, Pattern body)`

### Method Summary

Methods
`java.lang.Object` `apply(PatternFunction f)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ElementPattern

    public ElementPattern(ParserRuntime rt,
                  org.xml.sax.Locator sloc,
                  NameClass name,
                  Pattern body)

### Method Detail

#### apply

    public java.lang.Object apply(PatternFunction f)

Specified by:
  `apply` in class `Pattern`